## org.apache.batik.script
Interface Window.URLResponseHandler

All Known Implementing Classes:
  WindowWrapper.GetURLFunctionWrapper

Enclosing interface:
  Window

    public static interface Window.URLResponseHandler

To handle the completion of a 'getURL()' or 'postURL' call.

Method Summary
`void` `getURLDone(boolean success, java.lang.String mime, java.lang.String content)` Called when the response is recieved.

Method Detail

### getURLDone

    void getURLDone(boolean success,
                    java.lang.String mime,
                    java.lang.String content)

  Called when the response is recieved.

  Parameters:
    `success` - Whether the data was successfully retreived.
    `mime` - The data MIME type.
    `content` - The data.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.